Create a business account

Create a business Moov account step by step with the API, SDKs, Moov.js, or the onboarding Drop.

Before you start, review create accounts for address restrictions and how to get an access token if you're using the onboarding Drop. Sole proprietors are created as business accounts.

The examples below break up all the small tasks needed to create a business Moov account. When using the API, SDKs, or Moov.js, steps 1-3 can be consolidated into one request. See the full example for details.

Create business account

You can provide a variety of information when creating an account. The example below only includes the minimum required fields. The response object will include the newly created accountID which you will need to update the account.

Sole proprietors must be created via the business profile with businessType.soleProprietorship.

For card acceptance, if a dedicated customer support phone number is not provided with the business account details, the business phone number may be displayed in the statement descriptor instead. As a best practice, include a dedicated customer support number.

Create account reference

curl -X POST "https://api.moov.io/accounts" \
  -H "Authorization: Bearer {token}" \
  -H "x-moov-version: v2026.07.00" \
  --data-raw '{
    "accountType": "business",
    "profile": {
      "business": {
        "legalBusinessName": "Whole Body Fitness LLC",
        "businessType": "llc",
        "website": "wbfllc.com"
      }
    },
    "foreignID": "unique-correlation-id"
  }'

Request capabilities for business

Request capabilities for the account you've created by passing the accountID. You can find the account ID in the create account response, or you can find it by using the list accounts GET endpoint.

Request capabilities reference

curl -X POST "https://api.moov.io/accounts/{accountID}/capabilities" \
  -H "Authorization: Bearer {token}" \
  -H "x-moov-version: v2026.07.00" \
  --data-raw '{
    "capabilities": [
      "transfers", 
      "send-funds.ach", 
      "collect-funds.ach", 
      "wallet.balance"
    ]
  }'

Send platform agreement to business

Record the business's acceptance of Moov's platform agreement with the terms of service Drop (easiest), a token, or manual entry. The platform agreement guide explains each option and who can use the API flows.

Terms of Service Drop reference

<moov-terms-of-service></moov-terms-of-service>
// Get the terms of service Drop
const termsOfService = document.querySelector("moov-terms-of-service");

// Provide the token
termsOfService.token = "eyjh...";

Create representatives

Add at least one controller and every owner with ≥25% ownership (up to 7 representatives). See business representatives for who qualifies and what data each one needs.

Add a representative reference

curl -X POST "https://api.moov.io/accounts/{accountID}/representatives" \
  -H "Authorization: Bearer {token}" \
  -H "x-moov-version: v2026.07.00" \
  --data-raw '{
    "address": {
      "addressLine1": "12 Main Street",
      "city": "Cabot Cove",
      "stateOrProvince": "ME",
      "postalCode": "04103",
      "country": "US"
    },
    "birthDate": {
      "day": 10,
      "month": 11,
      "year": 1985
    },
    "email": "amanda@classbooker.dev",
    "governmentID": {
      "ssn": {
        "full":"111111111",
        "lastFour":"1111"
      }
    },
    "name": {
      "firstName": "Amanda",
      "lastName": "Yang"
    },
    "phone": {
      "number": "8185551212",
      "countryCode": "1"
    },
    "responsibilities": {
      "isController": false,
      "isOwner": true,
      "ownershipPercentage": 38,
      "jobTitle": "CEO"
    }
  }'

Update account with beneficial owners

Update the account to alert Moov that you have finished creating representatives. At least one controller should have been created in step 4.

Update account reference

curl -X PATCH "https://api.moov.io/accounts/{accountID}" \
  -H "Authorization: Bearer {token}" \
  -H "x-moov-version: v2026.07.00" \
  --data-raw '{
    "profile": {
      "business": {
        "ownersProvided": true
      }
    },
    "foreignID": "unique-correlation-id"
  }'

Complete verification and underwriting

Depending on the account and capabilities requested, Moov might require additional verification and underwriting. Outstanding items appear in the Dashboard and in each capability's requirements.currentlyDue. Check capability status until each capability is enabled, and use troubleshoot capabilities to fix errors.

Full example

You can consolidate steps 1 through 3 using the create account POST endpoint. The example below includes all the fields you can send to Moov in one step when creating a business account. After creating the account, you still need to add representatives and confirm beneficial owners (steps 4 and 5).

Any additional verification and underwriting requirements appear in the Dashboard and in each capability's requirements.currentlyDue. See check capability status.

Create account reference

curl -X POST "https://api.moov.io/accounts" \
  -H "Authorization: Bearer {token}" \
  -H "x-moov-version: v2026.07.00" \
  -H "X-Wait-For: connection" \
  --data-raw '{
  "accountType": "business",
  "profile": {
    "business": {
      "address": {
        "addressLine1": "123 Main Street",
        "addressLine2": "Unit 302",
        "city": "Boulder",
        "stateOrProvince": "CO",
        "postalCode": "80301",
        "country": "US"
      },
      "businessType": "llc",
      "description": "Local fitness center paying out instructors",
      "doingBusinessAs": "Whole Body Fitness",
      "email": "amanda@classbooker.dev",
      "industryCodes": {
        "naics": "713940",
        "sic": "7991",
        "mcc": "7997"
      },
      "legalBusinessName": "Whole Body Fitness LLC",
      "phone": {
        "number": "8185551212",
        "countryCode": "1"
      },
      "taxID": {
        "ein": {
          "number": "123-45-6789"
        }
      },
      "website": "www.wholebodyfitnessgym.com"
    }
  },
  "capabilities": [
    "send-funds.ach", 
    "collect-funds.ach"
  ],
  "customerSupport": {
    "address": {
      "addressLine1": "123 Main Street",
      "addressLine2": "Unit 302",
      "city": "Boulder",
      "stateOrProvince": "CO",
      "postalCode": "80301",
      "country": "US"
    },
    "email": "amanda@classbooker.dev",
    "phone": {
      "number": "8185551212",
      "countryCode": "1"
    },
    "website": "www.wholebodyfitnessgym.com"
  },
  "foreignID": "unique-correlation-id",
  "metadata": {
    "property1": "string",
    "property2": "string"
  },
  "mode": "production",
  "settings": {
    "cardPayment": {
      "statementDescriptor": "Whole Body Fitness"
    }
  },
  "termsOfService": {
    "token": "kgT1uxoMAk7QKuyJcmQE8nqW_HjpyuXBabiXPi6T83fUKRJkA3dsFID6fzitMpm2qrOh4"
  }
}'

Next steps

After the account is created, optionally connect it to your account, then link a source like a bank account or card so it can start moving money.